using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace prviZadatak
{
    class Program
    {
        static void Main(string[] args)
        {
            string c = Console.ReadLine();
            string c1 = c[0].ToString();
            string c2 = c[1].ToString();

            c = Console.ReadLine();
            int a1 = int.Parse(c[0].ToString());
            int a2 = int.Parse(c[2].ToString());

            if (Math.Abs(a1-a2) <= 1)
            {
                if (a1 > a2)
                {
                    for (int i = 0; i < a1; i++)
                    {
                        Console.Write(c1 + c2);
                    }
                    Console.Write(c1);
                }
                else if (a2 > a1)
                {
                    for (int i = 0; i < a2; i++)
                    {
                        Console.Write(c2 + c1);
                    }
                    Console.Write(c2);
                }
                else
                {
                    for (int i = 0; i < a1; i++)
                    {
                        Console.Write(c1 + c2);
                    }
                }
                Console.WriteLine();
            }
            else
            {
                Console.WriteLine("nemoguce");
            }
        }
    }
}